# $Revision: 1.63 $, $Date: 2006/12/14 01:12:12 $
# TODO
# - update to lua 5.1
# - php-graphwiz and php-graphwiz-devel:
#   php glue should be installed to %{php_extensiondir} without solib name, gv.php dropped, and .h to php-graphviz-devel
#
# Conditional build:
%bcond_without	dotnet	# don't build C# binding
%bcond_with	java	# build Java binding
#
%ifarch i386 alpha sparc sparc64
%undefine with_dotnet
%endif
Summary:	Graph Visualization Tools
Summary(pl):	Narzdzie do wizualizacji w postaci grafw
Name:		graphviz
Version:	2.8
Release:	7
License:	CPL v1.0
Group:		X11/Applications/Graphics
Source0:	http://www.graphviz.org/pub/graphviz/ARCHIVE/%{name}-%{version}.tar.gz
# Source0-md5:	ca921b4a9bcd86da4a1092bb17a57d83
Patch0:		%{name}-fontpath.patch
Patch1:		%{name}-php.patch
Patch2:		%{name}-gd.patch
Patch3:		%{name}-tk.patch
Patch4:		%{name}-lua.patch
Patch5:		%{name}-python.patch
URL:		http://www.graphviz.org/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	expat-devel
BuildRequires:	flex
BuildRequires:	freetype-devel >= 2.0.0
BuildRequires:	gawk
BuildRequires:	gd-devel >= 2.0.33-5
BuildRequires:	gettext-devel
BuildRequires:	guile-devel >= 1.4
%{?with_java:BuildRequires:	jdk}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	lua50-devel
%{?with_dotnet:BuildRequires:	mono-csharp}
BuildRequires:	ocaml
BuildRequires:	perl-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	php-program >= 4:5.0
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.322
BuildRequires:	ruby-devel
BuildRequires:	tcl-devel >= 8.3.0
BuildRequires:	tk-devel >= 8.3.0
BuildRequires:	zlib-devel
Requires(post,postun):	/sbin/ldconfig
Requires:	gd >= 2.0.33-5
Requires:	ghostscript-fonts-std
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A collection of tools and tcl packages for the manipulation and layout
of graphs (as in nodes and edges, not as in barcharts).

%description -l pl
Kolekcja narzdzi oraz pakietw tcl sucych do manipulacji i
rozmieszczania grafw.

%package devel
Summary:	Header files for graphviz libraries
Summary(pl):	Pliki nagwkowe do bibliotek graphviz
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gd-devel >= 2.0.33-5
Requires:	libltdl-devel

%description devel
This package contains the header files for graphviz libraries.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe do bibliotek graphviz.

%package graphs
Summary:	Demo graphs for graphviz
Summary(pl):	Przykadowe grafy dla graphviza
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description graphs
This package provides some example graphs.

%description graphs -l pl
Ten pakiet zawiera troch przykadowych grafw.

%package guile
Summary:	Guile binding for graphviz
Summary(pl):	Wizania Guile dla graphviza
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description guile
Guile binding for graphviz.

%description guile -l pl
Wizania Guile dla graphviza.

%package java
Summary:	Java binding for graphviz
Summary(pl):	Wizania Javy dla graphviza
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description java
Java binding for graphviz.

%description java -l pl
Wizania Javy dla graphviza.

%package lua
Summary:	LUA binding for graphviz
Summary(pl):	Wizania LUA dla graphviza
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description lua
LUA binding for graphviz.

%description lua -l pl
Wizania LUA dla graphviza.

%package ocaml
Summary:	OCaml binding for graphviz
Summary(pl):	Wizania OCamla dla graphviza
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description ocaml
OCaml binding for graphviz.

%description ocaml -l pl
Wizania OCamla dla graphviza.

%package perl
Summary:	Perl binding for graphviz
Summary(pl):	Wizania Perla dla graphviza
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description perl
Perl binding for graphviz.

%description perl -l pl
Wizania Perla dla graphviza.

%package php
Summary:	PHP binding for graphviz
Summary(pl):	Wizania PHP dla graphviza
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%{?requires_php_extension}

%description php
PHP binding for graphviz.

%description php -l pl
Wizania PHP dla graphviza.

%package python
Summary:	Python binding for graphviz
Summary(pl):	Wizania Pythona dla graphviza
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description python
Python binding for graphviz.

%description python -l pl
Wizania Pythona dla graphviza.

%package ruby
Summary:	Ruby binding for graphviz
Summary(pl):	Wizania Ruby'ego dla graphviza
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description ruby
Ruby binding for graphviz.

%description ruby -l pl
Wizania Ruby'ego dla graphviza.

%package sharp
Summary:	C# binding for graphviz
Summary(pl):	Wizania C# dla graphviza
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description sharp
C# binding for graphviz.

%description sharp -l pl
Wizania C# dla graphviza.

%package tcl
Summary:	Tcl extension tools for graphviz
Summary(pl):	Rozszerzenia Tcl dla graphviza
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description tcl
This package contains the various Tcl packages (extensions) using
graphviz.

%description tcl -l pl
Ten pakiet zawiera rne pakiety (rozszerzenia) Tcl uywajce
graphviza.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	LUA=/usr/bin/lua50 \
	%{!?with_java:--disable-java} \
	%{!?with_dotnet:--disable-sharp} \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if "%{_lib}" != "lib"
# tcl doesn't find pkgIndex.tcl outside /usr/lib...
install -d $RPM_BUILD_ROOT%{_prefix}/lib/graphviz
sed -e "s@\$dir @%{_libdir}/graphviz/@" $RPM_BUILD_ROOT%{_libdir}/graphviz/pkgIndex.tcl \
> $RPM_BUILD_ROOT%{_prefix}/lib/graphviz/pkgIndex.tcl
%endif

# replace dead (after compression) softlinks by groff redirections
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/{circo,fdp,neato,twopi}.1
echo ".so dot.1" >$RPM_BUILD_ROOT%{_mandir}/man1/circo.1
echo ".so dot.1" >$RPM_BUILD_ROOT%{_mandir}/man1/fdp.1
echo ".so dot.1" >$RPM_BUILD_ROOT%{_mandir}/man1/neato.1
echo ".so dot.1" >$RPM_BUILD_ROOT%{_mandir}/man1/twopi.1

install -d $RPM_BUILD_ROOT%{_mandir}/man3
for f in $RPM_BUILD_ROOT%{_libdir}/graphviz/*/gv_*.man ; do
	mv $f $RPM_BUILD_ROOT%{_mandir}/man3/`basename $f .man`.3
done

# created by %{_bindir}/dot -c
touch $RPM_BUILD_ROOT%{_libdir}/graphviz/config

rm -f $RPM_BUILD_ROOT%{_libdir}/graphviz/*/libgv_*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
umask 022
[ ! -x %{_bindir}/dot ] || %{_bindir}/dot -c > /dev/null 2>&1

%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS doc/*.pdf
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/graphviz
%ghost %{_libdir}/graphviz/config
# linkable libs
%attr(755,root,root) %{_libdir}/graphviz/libagraph.so.*
%attr(755,root,root) %{_libdir}/graphviz/libcdt.so.*
%attr(755,root,root) %{_libdir}/graphviz/libexpr.so.*
%attr(755,root,root) %{_libdir}/graphviz/libgraph.so.*
%attr(755,root,root) %{_libdir}/graphviz/libgvc.so.*
%attr(755,root,root) %{_libdir}/graphviz/libpack.so.*
%attr(755,root,root) %{_libdir}/graphviz/libpathplan.so.*
# plugins
%attr(755,root,root) %{_libdir}/graphviz/libgvplugin_dot_layout.so*
%attr(755,root,root) %{_libdir}/graphviz/libgvplugin_neato_layout.so*
%attr(755,root,root) %{_libdir}/graphviz/libgvplugin_usershape_gd.so*
%attr(755,root,root) %{_libdir}/graphviz/libgvc_builtins.so*
# what about the rest of *.la?
%dir %{_datadir}/graphviz
%{_datadir}/graphviz/lefty
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/graphviz/libagraph.so
%attr(755,root,root) %{_libdir}/graphviz/libcdt.so
%attr(755,root,root) %{_libdir}/graphviz/libexpr.so
%attr(755,root,root) %{_libdir}/graphviz/libgraph.so
%attr(755,root,root) %{_libdir}/graphviz/libgvc.so
%attr(755,root,root) %{_libdir}/graphviz/libpack.so
%attr(755,root,root) %{_libdir}/graphviz/libpathplan.so
%{_libdir}/graphviz/libagraph.la
%{_libdir}/graphviz/libcdt.la
%{_libdir}/graphviz/libexpr.la
%{_libdir}/graphviz/libgraph.la
%{_libdir}/graphviz/libgvc.la
%{_libdir}/graphviz/libpack.la
%{_libdir}/graphviz/libpathplan.la
%{_pkgconfigdir}/*.pc
%{_includedir}/graphviz
%{_mandir}/man3/*

%files graphs
%defattr(644,root,root,755)
%{_datadir}/graphviz/graphs

%files guile
%defattr(644,root,root,755)
%dir %{_libdir}/graphviz/guile
%attr(755,root,root) %{_libdir}/graphviz/guile/libgv_guile.so*
%{_mandir}/man3/gv_guile.3*

%if %{with java}
%files java
%defattr(644,root,root,755)
%dir %{_libdir}/graphviz/java
%attr(755,root,root) %{_libdir}/graphviz/java/libgv_java.so*
%{_libdir}/graphviz/java/*.java
%{_mandir}/man3/gv_java.3*
%endif

%files lua
%defattr(644,root,root,755)
%dir %{_libdir}/graphviz/lua
%attr(755,root,root) %{_libdir}/graphviz/lua/libgv_lua.so*
%attr(755,root,root) %{_libdir}/graphviz/lua/gv.so
%{_mandir}/man3/gv_lua.3*

%files ocaml
%defattr(644,root,root,755)
%dir %{_libdir}/graphviz/ocaml
%attr(755,root,root) %{_libdir}/graphviz/ocaml/libgv_ocaml.so*
%{_libdir}/graphviz/ocaml/gv.ml*
%{_mandir}/man3/gv_ocaml.3*

%files perl
%defattr(644,root,root,755)
%dir %{_libdir}/graphviz/perl
%attr(755,root,root) %{_libdir}/graphviz/perl/libgv_perl.so*
%attr(755,root,root) %{_libdir}/graphviz/perl/gv.so
%{_libdir}/graphviz/perl/gv.pm
%{_mandir}/man3/gv_perl.3*

%files php
%defattr(644,root,root,755)
%dir %{_libdir}/graphviz/php
%attr(755,root,root) %{_libdir}/graphviz/php/libgv_php.so*
%{_libdir}/graphviz/php/gv.php
%{_libdir}/graphviz/php/php_gv.h
%{_mandir}/man3/gv_php.3*

%files python
%defattr(644,root,root,755)
%dir %{_libdir}/graphviz/python
%attr(755,root,root) %{_libdir}/graphviz/python/libgv_python.so*
%attr(755,root,root) %{_libdir}/graphviz/python/_gv.so
%{_libdir}/graphviz/python/gv.py
%{_mandir}/man3/gv_python.3*

%files ruby
%defattr(644,root,root,755)
%dir %{_libdir}/graphviz/ruby
%attr(755,root,root) %{_libdir}/graphviz/ruby/libgv_ruby.so*
%attr(755,root,root) %{_libdir}/graphviz/ruby/gv.so
%{_mandir}/man3/gv_ruby.3*

%if %{with dotnet}
%files sharp
%defattr(644,root,root,755)
%dir %{_libdir}/graphviz/sharp
%attr(755,root,root) %{_libdir}/graphviz/sharp/libgv_sharp.so*
%{_libdir}/graphviz/sharp/*.cs
%{_mandir}/man3/gv_sharp.3*
%endif

%files tcl
%defattr(644,root,root,755)
%dir %{_libdir}/graphviz/tcl
%attr(755,root,root) %{_libdir}/graphviz/tcl/libgdtclft.so*
%attr(755,root,root) %{_libdir}/graphviz/tcl/libgv_tcl.so*
%attr(755,root,root) %{_libdir}/graphviz/tcl/libtcldot.so*
%attr(755,root,root) %{_libdir}/graphviz/tcl/libtclplan.so*
%attr(755,root,root) %{_libdir}/graphviz/tcl/libtkspline.so*
%attr(755,root,root) %{_libdir}/graphviz/tcl/gv.so
%if "%{_lib}" != "lib"
%dir %{_prefix}/lib/graphviz
%endif
%{_prefix}/lib/graphviz/pkgIndex.tcl
%{_mandir}/mann/*
%dir %{_datadir}/graphviz/demo
%{_datadir}/graphviz/demo/pathplan_data
%{_datadir}/graphviz/demo/*.*
%attr(755,root,root) %{_datadir}/graphviz/demo/doted
%attr(755,root,root) %{_datadir}/graphviz/demo/entities
%attr(755,root,root) %{_datadir}/graphviz/demo/gcat
%attr(755,root,root) %{_datadir}/graphviz/demo/pathplan
%attr(755,root,root) %{_datadir}/graphviz/demo/spline

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: graphviz.spec,v $
Revision 1.63  2006/12/14 01:12:12  glen
- rel 7

Revision 1.62  2006/12/14 01:11:29  glen
- AC-branch

Revision 1.61  2006/12/14 01:10:06  glen
- rel 6: rebuild with php 5.2

Revision 1.60  2006/11/26 12:34:53  glen
- virtual deps; rel 4

Revision 1.59  2006/11/25 21:47:30  qrczak
- graphviz-python.patch: added missing const, needed with newer Python
  versions.
- Release 3.

Revision 1.58  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.57  2006/07/26 12:58:55  glen
- don't specify default %attr's

Revision 1.56  2006/04/15 11:12:10  arekm
- rel 2; th br

Revision 1.55  2006/02/11 23:55:01  qboosh
- updated to 2.8, updated php,tk patches, added lua patch
- added guile,lua,ocaml,sharp subpackages

Revision 1.54  2005/12/29 16:59:47  twittner
- replace R: ruby-modules with %ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.53  2005/12/28 02:25:12  pluto
- tk build fixed.

Revision 1.52  2005/12/24 15:39:33  glen
- rel 4 (rebuild with new php)

Revision 1.51  2005/12/12 16:38:30  charles
- back to rel. 3
- STBR

Revision 1.50  2005/12/12 04:38:36  charles
- BR: rpm-pythonprov, php-program instead of php-cli
- -devel R: gd-devel, libltdl-devel
- added orphaned %{_libdir}/graphviz/config ("dot -c" is not needed in %postun)

Revision 1.49  2005/11/16 17:02:35  baggins
- rel 3
- R: ghostscript-fonts-std

Revision 1.48  2005/09/15 20:09:23  glen
- require php api version for php binding package, add php-cli as configure requires it, rel 2

Revision 1.47  2005/09/07 14:13:37  glen
- autotools called directly, revert last change

Revision 1.46  2005/09/07 13:30:50  glen
- php{,4}-devel already Requires: auto{make,conf}

Revision 1.45  2005/09/03 20:34:24  qboosh
- separated java,perl,php,python,ruby bindings
- updated post/postun ("dot -c" must be used now)

Revision 1.44  2005/08/29 20:25:06  qboosh
- updated to 2.6
- disable building statically linked programs

Revision 1.43  2005/08/15 16:05:56  arekm
- use our patched gd 2.0.33

Revision 1.42  2005/08/14 21:37:13  jpc
- R: gd version down to 2.0.33 (we don't have 2.0.34 anywhere)
  arekm: could you varify this (it was your change
  according to cvs annotate)

Revision 1.41  2005/07/25 20:42:17  qboosh
- umask in post/postun

Revision 1.40  2005/07/25 20:17:11  arekm
- run dot after upgrade/installation

Revision 1.39  2005/07/23 09:06:18  qboosh
- configure cleanup, BRs for bindings (TODO: separate them)

Revision 1.38  2005/07/22 19:01:56  arekm
- up to 2.4

Revision 1.37  2005/06/20 17:21:36  saq
- devel req libsvg-cairo-devel

Revision 1.36  2005/05/17 16:04:00  ankry
- fixed manpages

Revision 1.35  2005/05/06 18:10:40  pluto
- gcc patch updated, release 2 for Th.

Revision 1.34  2005/04/24 18:07:14  qboosh
- updated to 2.2.1, removed obsolete fixes patch

Revision 1.33  2005/02/21 12:20:01  qboosh
- updated to 2.2, added cairo,fixes patches
- License is CPL 1.0 now
- gcc34 patch probably needs update

Revision 1.32  2004/10/31 11:16:23  qboosh
- release 2

Revision 1.31  2004/10/31 11:16:04  qboosh
- always use system gd, added missing libsvg-cairo deps (for gvrender)

Revision 1.30  2004/09/23 23:58:41  undefine
- update to 1.16
- change conditional to default build with included gd library. it need 2.0.29
  version, which is not yet available (revoke it when 2.0.29 will be released)

Revision 1.29  2004/04/26 21:56:06  qboosh
- dotneato-config moved to -devel; release 2

Revision 1.28  2004/03/03 21:56:52  grzegol
- updated to 1.12
- removed outdated lt14d and sort patches

Revision 1.27  2004/02/23 10:50:54  pluto
- gcc 3.4 fixes.

Revision 1.26  2004/02/20 10:34:16  qboosh
- removed broken stubs patch, always apply lt14d patch (dropped old lt support)
- release 2 (no more unresolved symbols in tcl/tk libs)

Revision 1.25  2004/02/19 21:59:29  wolf
- libtool's lobotomy

Revision 1.24  2004/02/19 21:26:48  wolf
- BR: gettext-devel

Revision 1.23  2004/02/19 20:55:45  wolf
- sort syntax

Revision 1.22  2004/02/15 16:23:59  eothane
- bconds, changelog cleanups

Revision 1.21  2003/10/20 11:35:31  qboosh
- BR: tk-devel, there is spline demo

Revision 1.20  2003/10/18 13:01:56  wolf
- there's no spline demo

Revision 1.19  2003/07/19 19:03:04  qboosh
- up to 1.10, updated system-gd and fontpath patches
- build dynagraph by default

Revision 1.18  2003/05/26 16:25:08  malekith
- massive attack: adding Source-md5

Revision 1.17  2003/05/25 05:48:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/05/15 19:54:29  qboosh
- up to 1.9, updated lt14d (also for lt 1.5) and system-gd patches

Revision 1.15  2003/01/18 22:50:07  juandon
- removed two lines with define

Revision 1.14  2002/11/25 14:13:05  ankry
- massive attack: no need for 755 for *.la

Revision 1.13  2002/10/09 13:14:28  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/08/10 22:44:41  qboosh
- missing Requires

Revision 1.11  2002/08/10 16:40:19  qboosh
- use system gd (requires version with GIF support)
- fontpath patch - set default FONTPATH to PLD-compatible
- release 2

Revision 1.10  2002/08/10 12:46:44  qboosh
- updated to 1.8.9
- split based on supplied .spec file
- fixed tcl extensions
- libtool 1.4d compatibility patch

Revision 1.9  2002/08/05 12:10:53  mmazur
- fixed %files

Revision 1.8  2002/08/05 00:19:08  marcus
- updated to 1.8.8 (%files need fixing)

Revision 1.7  2002/06/23 20:32:28  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.6  2002/05/21 23:13:29  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
       s/^autoconf/\%\{__autoconf\}/"

Revision 1.5  2002/05/19 00:15:55  qboosh
- added ">= 2.0.0" to BR: freetype-devel; sorted/cleaned BRs where necessary

Revision 1.4  2002/05/02 19:12:10  qboosh
- automake -a -c -f --foreign - don't change license information in COPYING!!!

Revision 1.3  2002/04/10 16:07:46  kloczek
- added "rm -f missing" on top %build.

Revision 1.2  2002/04/10 10:26:24  zagrodzki
- updated to 1.8.4
- STBR

Revision 1.1  2002/03/13 13:59:06  misiek
- initial pld release (nfy)
